Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit b4ba3c8030b22e8a8c59dcb538642a29bd6a7085
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           usbsniff
Version:        0
Release:        alt2_21.20170624git%{shortcommit}
Summary:        USB traffic capture and replay tools

License:        GPLv3+
URL:            https://github.com/vdudouyt/usbsniff
Source0:        https://github.com/vdudouyt/usbsniff/archive/%{commit}/usbsniff-%{shortcommit}.tar.gz
Patch0:         usbsniff-c99.patch

BuildRequires:  gcc
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  flex
BuildRequires:  libpcap-devel
BuildRequires:  pkgconfig(libusb-1.0)
Source44: import.info

%description
Tools to capture USB traffic, store the capture results and replay them against
the device. Useful for debugging USB devices or reverse-engineering protocols.


%prep
%setup -q -n usbsniff-%{commit}
%patch0 -p1



%build
# Parallel make broken, missing deps
make LIBS="$(pkg-config --libs libusb-1.0) -lpcap -ll" \
        CFLAGS="$(pkg-config --cflags libusb-1.0) -DLINUX %{optflags}"


%install
mkdir -p %{buildroot}%{_bindir}
make install DESTDIR=%{buildroot}


%files
%{_bindir}/*
%doc LICENSE README.md


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0-alt2_21.20170624gitb4ba3c8
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0-alt2_20.20170624gitb4ba3c8
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0-alt2_19.20170624gitb4ba3c8
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0-alt2_17.20170624gitb4ba3c8
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0-alt2_16.20170624gitb4ba3c8
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0-alt2_15.20170624gitb4ba3c8
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0-alt2_14.20170624gitb4ba3c8
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0-alt2_13.20170624gitb4ba3c8
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0-alt1_13.20170624gitb4ba3c8
- update to new release by fcimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 0-alt1_12.20170624gitb4ba3c8
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 0-alt1_11.20141209git079747e
- new version

